package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_composite_score")
public class AuditRatingCompositeScore implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="category_code")
	private String categoryCode;	
	
	@Column(name="param_dimension")
	private String paramDimension;
	
	@Column(name="param_basis")
	private String paramBasis;
	
	@Column(name="param_input_mapping")
	private String paramInputMapping;
	
	@Column(name="param_input_mapping_ii")
	private String paramInputMappingII;
	
	@Column(name="param_score")
	private String paramScore;
	
	@Column(name="param_score_ii")
	private String paramScoreII;
	
	@Column(name="param_score_iii")
	private String paramScoreIII;
	
	@Column(name="remarks")
	private String remarks;
	
	@Column(name="status")
	private String status;
		
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	private transient String paramName;
	private transient String categoryName;
	private transient String auditTypeName;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getParamCode() {
		return paramCode;
	}
	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	public String getParamDimension() {
		return paramDimension;
	}
	public void setParamDimension(String paramDimension) {
		this.paramDimension = paramDimension;
	}
	public String getParamBasis() {
		return paramBasis;
	}
	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}
	public String getParamInputMapping() {
		return paramInputMapping;
	}
	public void setParamInputMapping(String paramInputMapping) {
		this.paramInputMapping = paramInputMapping;
	}
	public String getParamInputMappingII() {
		return paramInputMappingII;
	}
	public void setParamInputMappingII(String paramInputMappingII) {
		this.paramInputMappingII = paramInputMappingII;
	}
	public String getParamScore() {
		return paramScore;
	}
	public void setParamScore(String paramScore) {
		this.paramScore = paramScore;
	}
	public String getParamScoreII() {
		return paramScoreII;
	}
	public void setParamScoreII(String paramScoreII) {
		this.paramScoreII = paramScoreII;
	}
	public String getParamScoreIII() {
		return paramScoreIII;
	}
	public void setParamScoreIII(String paramScoreIII) {
		this.paramScoreIII = paramScoreIII;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getEntityStatus() {
		return entityStatus;
	}
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
	public String getChecker() {
		return checker;
	}
	public void setChecker(String checker) {
		this.checker = checker;
	}
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	public String getParamName() {
		return paramName;
	}
	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public String getAuditTypeName() {
		return auditTypeName;
	}
	public void setAuditTypeName(String auditTypeName) {
		this.auditTypeName = auditTypeName;
	}
	
	}
